package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsDeviceModel;
import com.sckw.slope.detection.model.param.DeviceModelQuery;
import com.sckw.slope.detection.model.param.DeviceQuery;
import com.sckw.slope.detection.model.vo.DeviceModelVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsDeviceModelMapper extends BaseMapper<KwsDeviceModel> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsDeviceModel record);

    int insertSelective(KwsDeviceModel record);

    KwsDeviceModel selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsDeviceModel record);

    int updateByPrimaryKey(KwsDeviceModel record);

    List<DeviceModelVo> selectListAll(@Param("deviceModelQuery") DeviceModelQuery deviceModelQuery);
}